php7.2でテストコードを動かす

binbin > php7.2でテストコードを動かす @ 2019/1/21 18:22
もろもろの事情により、php7.2環境でテストコードを動かそうと思い、
composer update したところ、

- The requested PHP extension ext-mcrypt * is missing from your system. Install or enable PHP's mcrypt extension.

ext-mcrypt 無いっす、という感じで、phpunit入りませんでした。
mcryptを使わない方法は無いのかと思ったのですが、cakephp本体のSecurityコンポーネントが使ってるんですね。
チラ見してみたんですが、難しそうだったので諦めました。

mcryptを無理やり入れる、
phpのバージョンを無理やり下げる、
くらいしか思いつかないのですが、もっと違う方法でやった方など居ませんでしょうか?
よろしくお願いいたします。



PHP 7.2.13
Apache/2.4.37
baserCMS 4.1.6-dev

seto > Re: php7.2でテストコードを動かす @ 2019/1/22 10:51
baser側では7.2から7.1にバージョンを下げて対応してるみたいですね。
https://github.com/baserproject/basercms/commit/f456427cfee1ca694f2a9692e1b79a292ced1262
binbin > Re: php7.2でテストコードを動かす @ 2019/1/22 17:10
なるほど、そうなんですね、、

opensslに切り替える方法とかないのかなーと、調べてみたんですが、
cakephp3.*なら大丈夫だよ、みたいな感じで、markstoryがさらっと答えてたのを見つけて、なにかを諦めました。
phpのバージョン下げて対応します。
seto > Re: php7.2でテストコードを動かす @ 2019/1/22 17:45
それは.. 早めにbaserがcake3に対応しないと色々と制限が増えそうですね..
ログイン
ユーザー名:
パスワード:


  新規登録 / パスワード紛失

検索

facebook
フォーラムで悩みが解決した場合など、よかったら「いいね!」をポチっとクリックしてください!質問の回答者や開発者の励みになります

フォーラムガイド


関連リンク

オンライン状況
27 人のユーザが現在オンラインです。 (26 人のユーザが フォーラム を参照しています。)

登録ユーザ: 0
ゲスト: 27